Summary: Firmware for Intel® PRO/Wireless 3945 A/B/G network adaptors
Name: iwl3945-firmware
Version: 15.32.2.9
Release: 4%{?dist}
License: Redistributable, no modification permitted
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{version}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-15.28.1.8.tgz
Source2: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-2.14.4.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64
# Renamed (twice) from iwlwifi-fimware as of 2.14.4-1
Provides: iwlwifi-firmware = %{version}-%{release}
Obsoletes: iwlwifi-firmware =< 2.14.4-1
Obsoletes: iwlwifi-3945-firmware =< 2.14.4-1

%description
This package contains the firmware required by the iwl3945 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.


%prep
%setup -q -n iwlwifi-3945-ucode-%{version} -a 1 -a 2
# Give doc files simpler names, since they won't get mixed with others
%{__mv} LICENSE.iwlwifi-3945-ucode LICENSE
%{__mv} README.iwlwifi-3945-ucode README
# Fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README
# Put timestamp back (it's the same on all files)
touch -r iwlwifi-3945*.ucode LICENSE README
# Use reasonable permissions for text files
chmod 0644 LICENSE README


%build


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-3945*.ucode */iwlwifi-3945*.ucode \
    %{buildroot}/lib/firmware/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode



%changelog

